import vl from 'vega-lite-api';
const colorField = 'year_2000';
export const viz = vl
  .markBar()
  .transform(
    vl.groupby('Country', colorField),//.aggregate(vl.count().as('total_cases'))
  )
  .encode(
    vl.x().fieldN('Country'),
    vl.y().fieldQ(colorField).title('Largest populationPoverty in Year 2000'),
    vl.color().fieldN('Region'),
    vl.tooltip([vl.fieldN(colorField), vl.fieldN('Region')])
  );
